{% load static %}
<!DOCTYPE html>
<html lang="en">

    <head>
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Update a Book</title>
      <link rel="stylesheet" href="{% static 'css/app.css' %}">
    </head>

    <body>
        <header>
          <nav>
            <ul>
              <li>
                <a href="{% url 'magazines_list' %}">Magazines</a>
              </li>
              <li>
                <a href="{% url 'books_list' %}">Books</a>
              </li>
              <li>
                <a href="{% url 'admin:index' %}">Admin</a>
              </li>
              <li>
                <a href="{% url 'create_book' %}">Add a book</a>
              </li>
            </ul>
          </nav>
        </header>
        <main>
            <h1>Update this book</h1>
            <div>
                <h1>{{ book.name }}</h1>
                <h2>{{ book.author}}</h2>
                <p>Pages: {{ book.pages }}</p>
                <p>ISBN#: {{ book.isbn }}</p>
                {% if book.cover %}
                <img src="{{ book.cover }}">
                {% endif %}
                <p>Available in print: {{ book.is_in_print }}</p>
                <p>Published: {{ book.pub_date }}</p>
                <form method="POST" enctype="multipart/form-data">
                    <!-- Using the formset -->
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input type="submit" value="Update">
                </form>
            </div>
        </main>
    </body>

</html>